
#ifndef _INPUT_H
#define _INPUT_H

#include "libpogo/pogo.h"
#include "C64.h"

extern uint32 button_state;

#define START_PRESSED 1
#define SELECT_PRESSED 2
#define A_PRESSED 4
#define B_PRESSED 8
#define LEFT_PRESSED 16
#define RIGHT_PRESSED 32
#define UP_PRESSED 64
#define DOWN_PRESSED 128
#define LSHOULDER_PRESSED 256
#define RSHOULDER_PRESSED 512

extern void poll_input(void);
extern void kbd_buf_feed(char *s);
extern void kbd_buf_update(C64 *TheC64);

#endif

