
#include <gp32.h>

int GpPcmPlay(unsigned short* src, int size, int repeatflag) {


//    Buf=(unsigned char *)src;

    /* wait for previous dma to finish */
//    while((rDSTAT2)!=0){};

    /****** DMA2 Initialize ******/
    rDIDST2=(1<<30)+ /* destination on peripherial bus */
            (1<<29)+ /* fixed adress */
            ((int)IISFIF); /* IIS FIFO txd */
    rDISRC2=(0<<30)+ /* source from system bus */
            (0<<29)+ /* auto-increment */
            (int)(src); /* buffer adress */
    rDCON2=(1<<30)+ /* handshake mode */
           (0<<29)+ /* DREQ and DACK are synchronized to PCLK (APB clock) */
           (1<<28)+ /* generate irq when transfer is done */
           (0<<27)+ /* unit transfer !!!! */
//           (1<<27)+ /* burst transfer */
           (0<<26)+ /* single service !!!! */
//           (1<<26)+ /* whole service */
           (0<<24)+ /* dma-req.source=I2SSDO */
//           (1<<24)+ /* dma-req.source=I2SSDI */
           (1<<23)+ /* (H/W request mode) */
//           ((1)<<22)+ /* auto reload on/off */
           ((repeatflag^1)<<22)+ /* auto reload on/off */

//           ((iis_bitcount)<<20)+   /* data size, byte,hword,word */
//           (size1/(iis_bytespertransfer));  /* transfer size */
           ((1)<<20)+   /* data size, byte,hword,word */
//           (size/1);  /* transfer size (bytes) */
           (size/2);  /* transfer size (hwords) */
//           (size/4);  /* transfer size (words) */

    rDMASKTRIG2=(0<<2)+(1<<1)+0;    //no-stop, DMA2 channel on, no-sw trigger

	return(GPC_EPCM_OK);

}
