
//#define MCLK    67800000
//#define MCLK    59250000
#define MCLK      5000000
int _fsflag, _psrflag;
#define _pcmabs(a)	(a < 0 ? -a : a)

void GpSndMixerInit(int samplerate, int stereoflag) {
static char _iis_divfact[12] = {1,   2,   3,   4,   5,   6,   7,   8,   10,  12,  14,  16};
static char _iis_psrval[12] =  {0x8, 0x0, 0xa, 0x1, 0xc, 0x2, 0xe, 0x3, 0x4, 0x5, 0x6, 0x7};

int i, tmpval, tmp256idx, tmp384idx;
int tmpval256, tmpval256min;
int tmpval384, tmpval384min;
int tmp_ps256, tmp_ps384;
//int retval;

	if (stereoflag)
		samplerate <<= 1;

	tmpval256 = MCLK/256;
	tmpval384 = MCLK/384;
	tmpval256min = 0xffff;
	tmpval384min = 0xffff;

        for (i=0; i<12 ;i++)  {
		tmpval = tmpval256/(_iis_divfact[i]);
                if (_pcmabs((samplerate - tmpval)) < tmpval256min) {
			tmpval256min = _pcmabs((samplerate - tmpval));
			tmp_ps256 = _iis_psrval[i];
			tmp256idx = i;
		}
	}
        for (i=0; i<12 ;i++) {
		tmpval = tmpval384/(_iis_divfact[i]);
                if (_pcmabs((samplerate - tmpval)) < tmpval384min) {
			tmpval384min = _pcmabs((samplerate - tmpval));
			tmp_ps384 = _iis_psrval[i];
			tmp384idx = i;
		}
	}

	if (tmpval256min > tmpval384min)
	{
		_fsflag = 1;
		_psrflag = tmp_ps384;
//                retval = (MCLK / 384) / (_iis_divfact[tmp384idx]);
	}
	else
	{
		_fsflag = 0;
		_psrflag = tmp_ps256;
//                retval = (MCLK >> 8) / (_iis_divfact[tmp256idx]); //(MCLK / 256) / (_iis_divfact[_psrflag]);
	}
//        return retval;
}
