
#ifdef __cplusplus
extern "C" {
#endif

struct timeval {
  unsigned long tv_sec;
  unsigned long tv_usec;
};

struct timezone {
  int tz_minuteswest;
  int tz_dsttime;
};

/*
int _EXFUN(gettimeofday, (struct timeval *__p, struct timezone *__z));
int _EXFUN(settimeofday, (const struct timeval *, const struct timezone *));
int _EXFUN(utimes, (const char *__path, struct timeval *__tvp));
int _EXFUN(getitimer, (int __which, struct itimerval *__value));
int _EXFUN(setitimer, (int __which, const struct itimerval *__value,
					struct itimerval *__ovalue));
*/

extern volatile unsigned long _ticks;

// init RTC, returns ticks per second
int InitRTC(void);

extern unsigned long gettickspermsec(void);

extern int gettimeofday(struct timeval *__p, struct timezone *__z);

#ifdef __cplusplus
}      /* extern "C" */
#endif

