#ifndef POGO_H
#define POGO_H

#include "core.h"
#include "device.h"
#include "font.h"
#include "screen.h"
#include "io.h"
#include "string.h"

void pogo_init(void);
void timer_init(void);
void console_init(void);
void sound_init(void);
void filesys_init(void);
void key_init(void);


#ifdef DEBUG
#define DPRINTF _dprintf
#else
#define DPRINTF (void)
#endif

#endif
