
#include <gp32.h>

/*
        Play PCM
*/

//unsigned int save_D, save_E, save_G, save_PD, save_PE, save_PG;

int GpPcmInit(PCM_SR sr, PCM_BIT bit_count) {
//unsigned int i;

    /* stop dma */
    rDMASKTRIG2=(1<<2)+(0<<1)+0;    // stop, DMA2 channel off, no-sw trigger

    switch(sr){
        case PCM_M11:
                fs=11025;
                iis_stereoflag=0;
                break;
        case PCM_S11:
                fs=11025;
                iis_stereoflag=1;
                break;
        case PCM_M22:
                fs=22050;
                iis_stereoflag=0;
                break;
        case PCM_S22:
                fs=22050;
                iis_stereoflag=1;
                break;
        case PCM_M44:
                fs=44100;
                iis_stereoflag=0;
                iis_bytespertransfer=1;
                iis_bitcount=0;
                break;
        case PCM_S44:
                fs=44100;
                iis_stereoflag=1;
                break;
        default:
                return (GPC_EPCM_NO_INIT);
        break;
    }

    //Init1330(0);

//    /****** IIS Initialize ******/
//    switch(fs){
//        case 44100:
//                /* stereo */
////                rIISPSR=(1<<5)+1;       //Prescaler_A/B=2 for 11.2896MHz
//                /* mono */
//                rIISPSR=(2<<5)+2;       //Prescaler_A/B=2 for 11.2896MHz
////                rIISPSR=(8<<5)+8;       //Prescaler_A/B=2 for 11.2896MHz    (@ 99mhz)
//                break;
//        case 22050:
//                rIISPSR=(5<<5)+5;       //Prescaler_A/B=5 for 5.6448MHz
//                break;
//        case 11025:
//                rIISPSR=(9<<5)+9;     //Prescaler_A/B=9 for 5.6448MHz
//                break;
//    }
////    if(fs==44100)
////        rIISPSR=(4<<5)+4;     //Prescaler_A/B=4 for 11.2896MHz
////        rIISPSR=(2<<5)+2;       //Prescaler_A/B=2 for 11.2896MHz
////    else//fs=22050
////        rIISPSR=(9<<5)+9;     //Prescaler_A/B=9 for 5.6448MHz
////        rIISPSR=(5<<5)+5;       //Prescaler_A/B=5 for 5.6448MHz

//    rIISCON=/* 8,7,6 readonly */
//            (1<<5)+  /* dma transmit request enable */
//            (0<<4)+  /* dma recieve request disable */
//            (0<<3)+  /* Transmit LR-Clock idle state */
//            (1<<2)+  /* Recieve LR-Clock idle state */
//            (1<<1)+  /* prescaler enabled */
//            (0<<0);  /* iis disabled */

//    rIISMOD=
//            (0<<8)+             /* master mode */
//            (2<<6)+             /* transmit mode */
//            (0<<5)+             /* lowbyte=left channel */
////            (1<<5)+             /* lowbyte=right channel */
////            (0<<4)+             /* iis compatible samples / MSB samples */
//            (1<<4)+             /* iis compatible samples / MSB samples */

////            ((bit_count&1)<<3)+ /* 8 or 16 bit per channel */
////            ((0)<<3)+ /* 8 bit per channel */
//            ((1)<<3)+ /* 16 bit per channel */

//            (0<<2)+             /* CDCLK=256fs */
//            (1<<0);             /* serial bitclock 32fs */

//    rIISFIFCON=
//               (1<<11)+   /* transmit fifo mode = dma */
//               (0<<10)+   /* recieve fifo mode = normal */
//               (1<<9)+    /* transmit fifo enable */
//               (0<<8);    /* recieve fifo disable */
//                /* 7-4 Transmit Fifo Data Count (readonly) */
//                /* 3-0 Recieve Fifo Data Count (readonly) */

//    /****** IIS Tx Start ******/
//    rIISCON |=0x1;  /* iis enable */

    return (GPC_EPCM_OK);

}
