
#ifdef __cplusplus
extern "C" {
#endif

#define GPC_LCD_WIDTH           320
#define GPC_LCD_HEIGHT          240

// structures
//#ifdef GPDRAWSURFACE	// also in syscall.h
//#undef GPDRAWSURFACE
//#endif
//typedef struct {
//	    unsigned char* ptbuffer; // buffer start address
//        int bufflag;             // reserved?
//        int buf_w;               // buffer width
//        int buf_h;               // buffer height
//        int ox;                  // buffer origin x co-ordinate
//        int oy;                  // buffer origin y co-ordinate
//    	unsigned char* o_buffer; // ?
//} GPDRAWSURFACE;
#include <syscall.h>

// gfx modes
#define GPC_DFLAG_1BPP    1
#define GPC_DFLAG_2BPP    2
#define GPC_DFLAG_4BPP    4
#define GPC_DFLAG_8BPP    8
#define GPC_DFLAG_16BPP  16

#define COLOR_BLACK		0
#define COLOR_WHITE		0xFFFFFFFF

#define RGB(_r,_g,_b)        (((_r)<<11) | ((_g)<<6) | ((_b)<<1))
#define RGBI(_r,_g,_b,_i) (((_r)<<11)|((_g)<<6)|((_b)<<1)|(_i))

void GpPaletteSet(unsigned long *palette);

#ifdef __cplusplus
}      /* extern "C" */
#endif


