
#include "ui.h"

extern uint16 *screen;
extern uint16 *emu_screen;
extern uint16 *gpalette;

int keyboard_enabled=0;
int options_enabled=0;
int status_enabled=0;

int emu_speed;
int emu_minutes;
int emu_seconds;
int emu_fps;

int drive8active=0;

int brightness=0;
int contrast=18;
float fcontrast=0;

uint8 *palette_r;
uint8 *palette_g;
uint8 *palette_b;

void ui_set_palette() {
	int i;
	int r,g,b;
	uint32 *rpal=(uint32 *)0x14a00400;

	fcontrast=(float)contrast;
	fcontrast/=10;
	for(i=0; i<16; i++) {
		r=palette_r[i];
		r*=fcontrast;
		r+=(brightness*8);
		if(r>255) r=255;

		g=palette_g[i];
		g*=fcontrast;
		g+=(brightness*8);
		if(g>255) g=255;

		b=palette_b[i];
		b*=fcontrast;
		b+=(brightness*8);
		if(b>255) b=255;

		rpal[i]=(
			((r/8)<<11)|
			((g/8)<<6)|
			((b/8)<<1)|1
		);
	}
}

